aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-11-02 12:35:59 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-11-13 15:45:10 +0000
commitf55425d9f851f37972a2cb2ca7bc716245f1a1da (patch)
tree52afa33d38f261679c11642d5b2e8e64b67d5196
parentfb5111db5b8f2683c9f244d68f47292318cab808 (diff)
downloadaports-f55425d9f851f37972a2cb2ca7bc716245f1a1da.tar.bz2
aports-f55425d9f851f37972a2cb2ca7bc716245f1a1da.tar.xz
main/skalibs: upgrade to 2.9.1.0
-rw-r--r--main/skalibs/APKBUILD20
1 files changed, 12 insertions, 8 deletions
diff --git a/main/skalibs/APKBUILD b/main/skalibs/APKBUILD
index 7dde8b8993..577149ade2 100644
--- a/main/skalibs/APKBUILD
+++ b/main/skalibs/APKBUILD
@@ -1,24 +1,22 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: John Regan <john@jrjrtech.com>
pkgname=skalibs
-pkgver=2.8.1.0
+pkgver=2.9.1.0
pkgrel=0
pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
url="http://skarnet.org/software/skalibs/"
arch="all"
license="ISC"
options="!check"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-builddir="$srcdir/$pkgname-$pkgver"
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
+source="http://skarnet.org/software/skalibs/skalibs-$pkgver.tar.gz"
build() {
cd "$builddir"
./configure \
--enable-shared \
--enable-static \
- --libdir=/usr/lib \
- --enable-clock
+ --libdir=/usr/lib
make
}
@@ -29,8 +27,9 @@ package() {
dev() {
default_dev
+ mkdir -p "$subpkgdir"/usr/lib/"$pkgname"/sysdeps
mv "$pkgdir/usr/lib/$pkgname"/sysdeps/* \
- "$subpkgdir/usr/lib/$pkgname"/sysdeps/
+ "$subpkgdir/usr/lib/$pkgname"/sysdeps
rm -rf "$pkgdir"/usr
}
@@ -40,4 +39,9 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="d2717e6f034af22a7b2ce31b019f30cfa270f64c61549db7b60b319defc5236fc6b58d29a4dae0f740ffdf32180b1940630f4239ea40cbedfcc5861398d20d86 skalibs-2.8.1.0.tar.gz"
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib || :
+}
+
+sha512sums="a85a9397cdb10cbc42fd7ef4984a77802cf8c42abeabc8ff18de6d2e11ff97d950418aeda5f2dd66a04bd30004a5c4608e7cc6f4c7e23b91f56ef1ff59f4b6d5 skalibs-2.9.1.0.tar.gz"